<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<definitions 
		xmlns="http://schemas.xmlsoap.org/wsdl/" 
		xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" 
		xmlns:tns="http://endpoint.tracauws.gov.at.pt/" 
		xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" 
		xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
		name="OperacoesTransitoService" 
		targetNamespace="http://endpoint.tracauws.gov.at.pt/">
    <types>
        <xsd:schema>
            <xsd:import 
				namespace="http://endpoint.tracauws.gov.at.pt/" 
				schemaLocation="OperacoesTransitoService.xsd"/>
        </xsd:schema>
    </types>
    <message name="enviarMensagemTransito">
        <part name="enviarMensagemTransitoPedido" type="tns:enviarMensagemTransitoPedido"/>
    </message>
    <message name="enviarMensagemTransitoResponse">
        <part name="return" type="tns:enviarMensagemTransitoResposta"/>
    </message>
    <message name="obterMensagensTransitoNaoEntregues">
        <part name="obterMensagensTransitoNaoEntreguesPedido" type="tns:obterMensagensTransitoNaoEntreguesPedido"/>
    </message>
    <message name="obterMensagensTransitoNaoEntreguesResponse">
        <part name="return" type="tns:obterMensagensTransitoNaoEntreguesResposta"/>
    </message>
    <message name="obterMensagensTransitoEntregues">
        <part name="obterMensagensTransitoEntreguesPedido" type="tns:obterMensagensTransitoEntreguesPedido"/>
    </message>
    <message name="obterMensagensTransitoEntreguesResponse">
        <part name="return" type="tns:obterMensagensTransitoEntreguesResposta"/>
    </message>
    <message name="obterEstadoDeclaracao">
        <part name="obterEstadoDeclaracaoPedido" type="tns:obterEstadoDeclaracaoPedido"/>
    </message>
    <message name="obterEstadoDeclaracaoResponse">
        <part name="return" type="tns:obterEstadoDeclaracaoResposta"/>
    </message>
    <message name="obterDocAcompanhamentoTransito">
        <part name="documentoAcompanhamentoPedido" type="tns:documentoAcompanhamentoPedido"/>
    </message>
    <message name="obterDocAcompanhamentoTransitoResponse">
        <part name="return" type="tns:documentoAcompanhamentoResposta"/>
    </message>
    <portType name="OperacoesTransito">
        <operation name="enviarMensagemTransito">
            <input message="tns:enviarMensagemTransito" wsam:Action="http://endpoint.tracauws.gov.at.pt/OperacoesTransito/enviarMensagemTransitoRequest"/>
            <output message="tns:enviarMensagemTransitoResponse" wsam:Action="http://endpoint.tracauws.gov.at.pt/OperacoesTransito/enviarMensagemTransitoResponse"/>
        </operation>
        <operation name="obterMensagensTransitoNaoEntregues">
            <input message="tns:obterMensagensTransitoNaoEntregues" wsam:Action="http://endpoint.tracauws.gov.at.pt/OperacoesTransito/obterMensagensTransitoNaoEntreguesRequest"/>
            <output message="tns:obterMensagensTransitoNaoEntreguesResponse" wsam:Action="http://endpoint.tracauws.gov.at.pt/OperacoesTransito/obterMensagensTransitoNaoEntreguesResponse"/>
        </operation>
        <operation name="obterMensagensTransitoEntregues">
            <input message="tns:obterMensagensTransitoEntregues" wsam:Action="http://endpoint.tracauws.gov.at.pt/OperacoesTransito/obterMensagensTransitoEntreguesRequest"/>
            <output message="tns:obterMensagensTransitoEntreguesResponse" wsam:Action="http://endpoint.tracauws.gov.at.pt/OperacoesTransito/obterMensagensTransitoEntreguesResponse"/>
        </operation>
        <operation name="obterEstadoDeclaracao">
            <input message="tns:obterEstadoDeclaracao" wsam:Action="http://endpoint.tracauws.gov.at.pt/OperacoesTransito/obterEstadoDeclaracaoRequest"/>
            <output message="tns:obterEstadoDeclaracaoResponse" wsam:Action="http://endpoint.tracauws.gov.at.pt/OperacoesTransito/obterEstadoDeclaracaoResponse"/>
        </operation>
        <operation name="obterDocAcompanhamentoTransito">
            <input message="tns:obterDocAcompanhamentoTransito" wsam:Action="http://endpoint.tracauws.gov.at.pt/OperacoesTransito/documentoAcompanhamentoRequest"/>
            <output message="tns:obterDocAcompanhamentoTransitoResponse" wsam:Action="http://endpoint.tracauws.gov.at.pt/OperacoesTransito/documentoAcompanhamentoResponse"/>
        </operation>
    </portType>
    <binding name="OperacoesTransitoPortBinding" type="tns:OperacoesTransito">
        <soap:binding style="rpc" transport="http://schemas.xmlsoap.org/soap/http"/>
        <operation name="enviarMensagemTransito">
            <soap:operation soapAction=""/>
            <input>
                <soap:body namespace="http://endpoint.tracauws.gov.at.pt/" use="literal"/>
            </input>
            <output>
                <soap:body namespace="http://endpoint.tracauws.gov.at.pt/" use="literal"/>
            </output>
        </operation>
        <operation name="obterMensagensTransitoNaoEntregues">
            <soap:operation soapAction=""/>
            <input>
                <soap:body namespace="http://endpoint.tracauws.gov.at.pt/" use="literal"/>
            </input>
            <output>
                <soap:body namespace="http://endpoint.tracauws.gov.at.pt/" use="literal"/>
            </output>
        </operation>
        <operation name="obterMensagensTransitoEntregues">
            <soap:operation soapAction=""/>
            <input>
                <soap:body namespace="http://endpoint.tracauws.gov.at.pt/" use="literal"/>
            </input>
            <output>
                <soap:body namespace="http://endpoint.tracauws.gov.at.pt/" use="literal"/>
            </output>
        </operation>
        <operation name="obterEstadoDeclaracao">
            <soap:operation soapAction=""/>
            <input>
                <soap:body namespace="http://endpoint.tracauws.gov.at.pt/" use="literal"/>
            </input>
            <output>
                <soap:body namespace="http://endpoint.tracauws.gov.at.pt/" use="literal"/>
            </output>
        </operation>
        <operation name="obterDocAcompanhamentoTransito">
            <soap:operation soapAction=""/>
            <input>
                <soap:body namespace="http://endpoint.tracauws.gov.at.pt/" use="literal"/>
            </input>
            <output>
                <soap:body namespace="http://endpoint.tracauws.gov.at.pt/" use="literal"/>
            </output>
        </operation>
    </binding>
    <service name="OperacoesTransitoService">
        <port binding="tns:OperacoesTransitoPortBinding" name="OperacoesTransitoPort">
            <soap:address location="http://tracauws.ratransitodev.ritta.local:80/tracauws/TRACAU/OperacoesTransitoService"/>
        </port>
    </service>
</definitions>